### Method

# EDataServer SourceAuthentication required

since: 3.6

#### Declaration [src]

    gboolean
    e_source_authentication_required (
      ESourceAuthentication* extension
    )

#### Description [src]

This is a convenience function which returns whether authentication is required at all, regardless of the method used. This relies on the convention of setting `ESourceAuthentication:method` to “none” when authentication is not required.

Available since: 3.6

#### Return value

Type: `gboolean`

Whether authentication is required at all.